input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
/* Grid Container */
.grid {
  display: grid;
}

.inline-grid {
  display: inline-grid;
}

/* Grid Template Columns */
.grid-cols-1 {
  grid-template-columns: repeat(1, minmax(0, 1fr));
}
.grid-cols-2 {
  grid-template-columns: repeat(2, minmax(0, 1fr));
}
.grid-cols-3 {
  grid-template-columns: repeat(3, minmax(0, 1fr));
}
.grid-cols-4 {
  grid-template-columns: repeat(4, minmax(0, 1fr));
}
.grid-cols-5 {
  grid-template-columns: repeat(5, minmax(0, 1fr));
}
.grid-cols-6 {
  grid-template-columns: repeat(6, minmax(0, 1fr));
}
.grid-cols-7 {
  grid-template-columns: repeat(7, minmax(0, 1fr));
}
.grid-cols-8 {
  grid-template-columns: repeat(8, minmax(0, 1fr));
}
.grid-cols-9 {
  grid-template-columns: repeat(9, minmax(0, 1fr));
}
.grid-cols-10 {
  grid-template-columns: repeat(10, minmax(0, 1fr));
}
.grid-cols-11 {
  grid-template-columns: repeat(11, minmax(0, 1fr));
}
.grid-cols-12 {
  grid-template-columns: repeat(12, minmax(0, 1fr));
}
.grid-cols-none {
  grid-template-columns: none;
}

/* Grid Template Rows */
.grid-rows-1 {
  grid-template-rows: repeat(1, minmax(0, 1fr));
}
.grid-rows-2 {
  grid-template-rows: repeat(2, minmax(0, 1fr));
}
.grid-rows-3 {
  grid-template-rows: repeat(3, minmax(0, 1fr));
}
.grid-rows-4 {
  grid-template-rows: repeat(4, minmax(0, 1fr));
}
.grid-rows-5 {
  grid-template-rows: repeat(5, minmax(0, 1fr));
}
.grid-rows-6 {
  grid-template-rows: repeat(6, minmax(0, 1fr));
}
.grid-rows-none {
  grid-template-rows: none;
}

/* Auto Flow */
.grid-flow-row {
  grid-auto-flow: row;
}
.grid-flow-col {
  grid-auto-flow: column;
}
.grid-flow-row-dense {
  grid-auto-flow: row dense;
}
.grid-flow-col-dense {
  grid-auto-flow: column dense;
}

/* Auto Columns */
.auto-cols-auto {
  grid-auto-columns: auto;
}
.auto-cols-min {
  grid-auto-columns: min-content;
}
.auto-cols-max {
  grid-auto-columns: max-content;
}
.auto-cols-fr {
  grid-auto-columns: minmax(0, 1fr);
}

/* Auto Rows */
.auto-rows-auto {
  grid-auto-rows: auto;
}
.auto-rows-min {
  grid-auto-rows: min-content;
}
.auto-rows-max {
  grid-auto-rows: max-content;
}
.auto-rows-fr {
  grid-auto-rows: minmax(0, 1fr);
}

/* Gap */
.gap-0 {
  gap: 0;
}
.gap-1 {
  gap: 0.25rem;
}
.gap-2 {
  gap: 0.5rem;
}
.gap-3 {
  gap: 0.75rem;
}
.gap-4 {
  gap: 1rem;
}
.gap-5 {
  gap: 1.25rem;
}
.gap-6 {
  gap: 1.5rem;
}
.gap-7 {
  gap: 1.75rem;
}
.gap-8 {
  gap: 2rem;
}
.gap-9 {
  gap: 2.25rem;
}
.gap-10 {
  gap: 2.5rem;
}

@media (max-width: 960px) {
  [class*="grid-cols-"] {
    grid-template-columns: none;
  }
}
@media (min-width: 961px) {
  /* Grid Row Start / End */
  .col-auto {
    grid-column: auto;
  }
  .col-span-1 {
    grid-column: span 1 / span 1;
  }
  .col-span-2 {
    grid-column: span 2 / span 2;
  }
  .col-span-3 {
    grid-column: span 3 / span 3;
  }
  .col-span-4 {
    grid-column: span 4 / span 4;
  }
  .col-span-5 {
    grid-column: span 5 / span 5;
  }
  .col-span-6 {
    grid-column: span 6 / span 6;
  }
  .col-span-7 {
    grid-column: span 7 / span 7;
  }
  .col-span-8 {
    grid-column: span 8 / span 8;
  }
  .col-span-9 {
    grid-column: span 9 / span 9;
  }
  .col-span-10 {
    grid-column: span 10 / span 10;
  }
  .col-span-11 {
    grid-column: span 11 / span 11;
  }
  .col-span-12 {
    grid-column: span 12 / span 12;
  }
  .col-span-full {
    grid-column: 1 / -1;
  }
  .col-start-1 {
    grid-column-start: 1;
  }
  .col-start-2 {
    grid-column-start: 2;
  }
  .col-start-3 {
    grid-column-start: 3;
  }
  .col-start-4 {
    grid-column-start: 4;
  }
  .col-start-5 {
    grid-column-start: 5;
  }
  .col-start-6 {
    grid-column-start: 6;
  }
  .col-start-7 {
    grid-column-start: 7;
  }
  .col-start-8 {
    grid-column-start: 8;
  }
  .col-start-9 {
    grid-column-start: 9;
  }
  .col-start-10 {
    grid-column-start: 10;
  }
  .col-start-11 {
    grid-column-start: 11;
  }
  .col-start-12 {
    grid-column-start: 12;
  }
  .col-start-auto {
    grid-column-start: auto;
  }
  .col-end-1 {
    grid-column-end: 1;
  }
  .col-end-2 {
    grid-column-end: 2;
  }
  .col-end-3 {
    grid-column-end: 3;
  }
  .col-end-4 {
    grid-column-end: 4;
  }
  .col-end-5 {
    grid-column-end: 5;
  }
  .col-end-6 {
    grid-column-end: 6;
  }
  .col-end-7 {
    grid-column-end: 7;
  }
  .col-end-8 {
    grid-column-end: 8;
  }
  .col-end-9 {
    grid-column-end: 9;
  }
  .col-end-10 {
    grid-column-end: 10;
  }
  .col-end-11 {
    grid-column-end: 11;
  }
  .col-end-12 {
    grid-column-end: 12;
  }
  .col-end-auto {
    grid-column-end: auto;
  }

  /* Grid Row Start / End */
  .row-auto {
    grid-row: auto;
  }
  .row-span-1 {
    grid-row: span 1 / span 1;
  }
  .row-span-2 {
    grid-row: span 2 / span 2;
  }
  .row-span-3 {
    grid-row: span 3 / span 3;
  }
  .row-span-4 {
    grid-row: span 4 / span 4;
  }
  .row-span-5 {
    grid-row: span 5 / span 5;
  }
  .row-span-6 {
    grid-row: span 6 / span 6;
  }
  .row-span-full {
    grid-row: 1 / -1;
  }
  .row-start-1 {
    grid-row-start: 1;
  }
  .row-start-2 {
    grid-row-start: 2;
  }
  .row-start-3 {
    grid-row-start: 3;
  }
  .row-start-4 {
    grid-row-start: 4;
  }
  .row-start-5 {
    grid-row-start: 5;
  }
  .row-start-6 {
    grid-row-start: 6;
  }
  .row-start-auto {
    grid-row-start: auto;
  }
  .row-end-1 {
    grid-row-end: 1;
  }
  .row-end-2 {
    grid-row-end: 2;
  }
  .row-end-3 {
    grid-row-end: 3;
  }
  .row-end-4 {
    grid-row-end: 4;
  }
  .row-end-5 {
    grid-row-end: 5;
  }
  .row-end-6 {
    grid-row-end: 6;
  }
  .row-end-auto {
    grid-row-end: auto;
  }
}

/* Utils css */
.hidden {
  display: none !important;
}
.divide-y > * {
  border-top: 1px solid rgba(0, 0, 0, 0.12) !important;
}
.divide-y.divide-y-primary > * {
  border-top: 1px solid #0066FF !important;
}
.divide-y.divide-dashed > * {
  border-top-style: dashed !important;
}
.divide-y > *:first-child {
  border-color: transparent !important;
  margin-top: 0 !important;
  padding-top: 0 !important;
}
.pointer-lock {
  pointer-events: none !important;
}
.rounded-full {
  border-radius: 100% !important;
}
.rounded-box {
  border-radius: 2rem !important;
}
.rounded-card {
  border-radius: 8px !important;
}
.border-primary {
  border: 1px solid var(--green);
}
.overflow-hidden {
  overflow: hidden !important;
}
.relative {
  position: relative;
}
.absolute {
  position: absolute;
}
.fixed {
  position: fixed;
}
.inset-0 {
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}
.top-0 {
  top: 0;
}
.left-0 {
  left: 0;
}
.right-0 {
  right: 0;
}
.right-1 {
  right: 1rem;
}
.bottom-0 {
  bottom: 0;
}
.bottom-1 {
  bottom: 1rem;
}
.min-h-100 {
  min-height: 100%;
}
.min-h-screen {
  min-height: 100vh;
}
.min-h-px {
  min-height: 120px;
}
.bg-white {
  background-color: white;
}
/* Form */
.v-messages .v-messages__message {
  line-height: 13px;
}
.field-custom .v-input__details {
  position: relative !important;
  overflow: hidden !important;
  margin-top: 6px !important;
  min-height: auto !important;
  padding: 0px !important;
}
.field-hor {
  display: flex;
  align-items: center;
}
.field-hor > .label-default {
  width: 200px;
  padding-right: 16px;
}
.radio-hor .v-selection-control-group {
  display: flex !important;
  flex-direction: row !important;
  align-items: center !important;
}
.radio-hor .v-selection-control-group .v-selection-control .v-label {
  white-space: nowrap !important;
}
.label-important {
  position: relative;
}
.label-important::after {
  content: "*";
  display: inline-block;
  margin-left: 2px;
  color: red;
  font-size: 13px;
  line-height: 0;
  vertical-align: middle;
}
.btn-style {
  padding: 0 12px !important;
}
.btn-style .v-btn__content {
  text-transform: none;
}
.btn-style .v-btn__content > i {
  margin-right: 0.25rem;
}

/* school */
.overflow-y-hidden {
  overflow-y: hidden !important;
}
.custom-caption {
  margin-left: 27px !important;
  margin-top: -5px !important;
}
.text-pinky {
  color: #9a0061 !important;
}
.text-grey {
  color: #9e9e9e !important;
}
